Name:           postler
Version:        0.1.1
Release:        5%{?dist}
Summary:        An ultra simple desktop mail client
Group:          Applications/Internet
License:        LGPLv2+
URL:            http://launchpad.net/postler
Source0:        http://git.xfce.org/apps/%{name}/snapshot/%{name}-%{version}.tar.bz2
Patch0:         postler-0.1.1-rename_icon.patch
Patch1:         postler-0.1.1-vala-0.12.1.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  vala >= 0.10.0
BuildRequires:  intltool
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(unique-1.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(webkit-1.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  python-devel
BuildRequires:  openssl-devel
BuildRequires:  libdb-devel
#BuildRequires: libidentify-devel # not packaged yet
BuildRequires:  msmtp
BuildRequires:  lynx
BuildRequires:  desktop-file-utils
BuildRequires:  dexter
Requires:       webkitgtk
Requires:       dexter

# fixme: find-debuginfo.sh says it can't stat some files


%description
Postler aims to be easy, simple, clean, beautiful, and automagic. It
handles IMAP beautifully, and provides the user with smart, sensible
defaults.


%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
export CFLAGS="%{optflags}"
./waf configure --disable-libindicate \
      --disable-docs \
      --prefix=%{_prefix}
./waf build


%install
rm -rf %{buildroot}
./waf install --destdir=%{buildroot} -d none %{?_smp_mflags}

# reports two bogus warnings
desktop-file-validate %{buildroot}%{_datadir}/applications/postler.desktop

%find_lang %{name}


%clean
rm -rf %{buildroot}
./waf clean


%post
update-desktop-database &>/dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/postler
%{_bindir}/postler-mbsync
%{_datadir}/applications/postler.desktop
%{_datadir}/icons/hicolor/scalable/apps/postler.svg


%changelog
* Sat Jul  2 2011 Thomas Moschny <thomas.moschny@gmx.de> - 0.1.1-5
- Rebuild for new libdb.
- Fix build issue with vala 0.12.1.

* Sat Apr 16 2011 Thomas Moschny <thomas.moschny@gmx.de> - 0.1.1-4
- Merge ideas from Michel Alexandre Salim's specfile:
  - Use pkgconfig(...)-style BRs.
  - Ensure CFLAGS and %%{?_smp_mflags} get applied.

* Tue Apr  5 2011 Thomas Moschny <thomas.moschny@gmx.de> - 0.1.1-3
- Use a patch for renaming the icon.

* Mon Apr  4 2011 Thomas Moschny <thomas.moschny@gmx.de> - 0.1.1-2
- Changes suggested in the review ticket:
  - Fix License and Summary tags.
  - Rename icon to avoid clashes with icon theme packages.
  - BR dexter (bz 690953).

* Fri Mar 25 2011 Thomas Moschny <thomas.moschny@gmx.de> - 0.1.1-1
- Update to 0.1.1.
- Fix source URL.

* Sun Mar 13 2011 Thomas Moschny <thomas.moschny@gmx.de> - 0.1.0-1
- New package.
